Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/39806/?format=api
{ "ob_id": 39806, "uuid": "f107a4ce186844bb8adf8cd1f2f6d552", "title": "ESA High Resolution Land Cover Climate Change Initiative (High_Resolution_Land_Cover_cci): High Resolution Land Cover Maps in Africa (Eastern Sahel region) at 10m spatial resolution for 2019 in Geotiff format, v1.2", "abstract": "This dataset contains high resolution (HR) land cover (LC) maps of a subregion of Africa, produced by the ESA High Resolution Land Cover (HRLC) Climate Change Initiative (CCI) project. This consists of the following products:\r\n\r\n1) HRLC10: High Resolution Land Cover Maps at 10m spatial resolution for year 2019 (also referred to as static maps).\r\n2) Associated uncertainty products.\r\n\r\nThey cover the geographic range (0.1°S – 18.1°N; 9.9°E – 43.3°E).\r\n\r\nThe data are provided as both GeoTIFF tiles following the Sentinel-2 MGRS tiling scheme and as a GeoTiff format mosaic. These maps are also referred to as static maps.", "keywords": "Land Cover, CCI, High Resolution", "publicationState": "citable", "dataPublishedTime": "2024-02-13T18:41:11", "doiPublishedTime": "2024-02-14T17:46:05", "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/41364/?format=api", "dataPath": "/neodc/esacci/high_resolution_land_cover/data/land_cover_maps/A01_Africa/static/v1.2/geotiff/HRLC10/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 305157873648, "numberOfFiles": 3906, "fileFormat": "Data are in GeoTiff format" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/11011/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/3776/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were processed by the ESA CCI High Resolution Land Cover project and catalogued here as part of the CCI Open Data Portal Project", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/12820/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/39805/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193886/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193887/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193888/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193889/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193884/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193890/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193903/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/201867/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/201868/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/201869/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/201870/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/201871/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/201872/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/201873/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/201874/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/201875/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/201876/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/201877/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/201878/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/201879/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/201880/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/201881/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/39813/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2572/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/esacci_high_resolution_land_cover_terms_and_conditions.pdf", "licenceClassifications": "" } ], "discoveryKeywords": [ { "ob_id": 1140, "name": "ESACCI" } ] }